/*
 * TestLexer.h
 *
 *  Created on: Nov 4, 2012
 *      Author: attero
 */

#ifndef TESTLEXER_H_
#define TESTLEXER_H_
#include "TestSuite.h"
#include "../Lexer.h"

class TestLexer : public TestSuite {
public:
	TestLexer();
	virtual ~TestLexer();
	std::string test_searching_keyword_for_not_keyword();
	std::string test_searching_keyword();
	std::string test_parsing_simple_token();
	std::string test_parsing_tricky_token();

	virtual std::string all_tests();
	std::string test_fake();
private:
	Lexer lexer;
};

#endif /* TESTLEXER_H_ */
